Name:          waylandpp
Version:       1.0.0
Release:       2mamba
Summary:       C++ binding for Wayland
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/NilsBrause/waylandpp
Source:        https://github.com/NilsBrause/waylandpp.git/%{version}/waylandpp-%{version}.tar.bz2
Patch0:        waylandpp-1.0.0-gcc-13.2.0.patch
License:       MIT, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
C++ bindings for Wayland.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for C++ bindings for Wayland.

%description -n lib%{name}
C++ bindings for Wayland.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .gcc-13.2.0

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwayland-client*.so.*
%{_libdir}/libwayland-cursor++.so.*
%{_libdir}/libwayland-egl++.so.*
%{_libdir}/libwayland-server*.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/wayland-scanner++
%{_includedir}/wayland-*.hpp
%{_libdir}/libwayland-client*.so
%{_libdir}/libwayland-cursor++.so
%{_libdir}/libwayland-egl++.so
%{_libdir}/libwayland-server*.so
%dir %{_datadir}/doc/waylandpp
%dir %{_datadir}/doc/waylandpp/html
%{_datadir}/doc/waylandpp/html/*
%dir %{_datadir}/doc/waylandpp/latex
%{_datadir}/doc/waylandpp/latex/*
%{_mandir}/man3/wayland*.3*
%dir %{_datadir}/waylandpp
%dir %{_datadir}/waylandpp/protocols
%{_datadir}/waylandpp/protocols/*.xml
%dir %{_libdir}/cmake/waylandpp
%{_libdir}/cmake/waylandpp/waylandpp*.cmake
%{_libdir}/pkgconfig/wayland-*.pc
%doc README.md

%changelog
* Sun Aug 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- added a patch to fix a missing include with gcc 13.2

* Sat Apr 30 2022 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri Apr 15 2022 Automatic Build System <autodist@mambasoft.it> 0.2.10-1mamba
- automatic version update by autodist

* Mon Jan 31 2022 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Tue May 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- package created using the webbuild interface
